Subject: Re: Non-ASCII paths and git-cvsserver

From: sf <[email-masked]>
Date: Mon, 13 Nov 2006 14:58:33 +0100

Junio C Hamano wrote:
> sf <[email-masked]> writes:
> 
>> I want to access a git repository via git-cvsserver. The problem is
>> that the repository contains paths with umlauts. These paths come out
>> quoted and escaped when checked out with cvs.
> 
> I think this is because the cvsserver invokes diff-tree and
> ls-tree without -z and the output from these command quote
> non-ascii letters as unsafe.

I knew I had seen that kind of quoting before but right then I thought 
it was related to Perl or SQLite.

> Martin's sqlite may probably be needed as well, but regardless
> of that something like this patch is needed -- otherwise what 
> populates sqlite database will be quoted to begin with so it
> would not help much.

Martin, are you sure your patch is needed? (see below)

> I've tested with your reproduction recipe, but otherwise not
> tested this patch.

Thanks, Junio. Paths with umlauts are returned correctly now both in 
UTF-8 and ISO-8859-1. I guess git-cvsserver is now as encoding agnostic 
as git core.

Regards